GUI-2.10.2(3) theli 1.9.5 (x)ubuntu-14.04 ...

Linux (Theli bezogen), Theli, GUI und Hilfsprogramme.
Forumsregeln
Bitte die Beiträge kurz fassen, so kann man sie nachher besser finden. Sollte ein Problem gelöst sein, dann einen neuen Beitrag eröffnen. Ebenso wenn die Ursache eine ganz andere ist, oder es Offtopic wird.

GUI-2.10.2(3) theli 1.9.5 (x)ubuntu-14.04 ...

Beitragvon bernd68 » Samstag 14. Mai 2016, 15:00

GUI-2.10.2(3) theli 1.9.5 (x)ubuntu-14.04 / Fehler bei Calibration der Lights nach Neuinstallation von System und Theli in aktuellster Version

Hallo Zusammen

Während der Installation gab es keine Probleme oder Unregelmäßigkeiten. Erst bei der Calibration eines längst fehlerfrei gestackten Projektes (nur zur Kontrolle)
kommt am Ende der Calibration eine Fehlermeldung und die Fits sind alle wech . Aus dem Log:
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
/home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0770_1OFC.fits
/home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0771_1OFC.fits
/home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0772_1OFC.fits
/home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0773_1OFC.fits
/home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0774_1OFC.fits
/home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0775_1OFC.fits
/home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0776_1OFC.fits
/home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0777_1OFC.fits
/home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0778_1OFC.fits
/home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0779_1OFC.fits
/home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0780_1OFC.fits
/home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0781_1OFC.fits
/home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0782_1OFC.fits
/home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0783_1OFC.fits
/home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0784_1OFC.fits
/home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0785_1OFC.fits
/home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0786_1OFC.fits
/home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0787_1OFC.fits
/home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0788_1OFC.fits
/home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_6C_100-0768_1OFC.fits'
+ for FILE in '${BAYERFILES}'
get_key ${FILE} BAYERPAT
++ get_key /home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0769_1OFC.fits BAYERPAT
++ /home/bernd/THELI/theli//bin/Linux_64//dfits /home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0769_1OFC.fits
++ /home/bernd/THELI/theli//bin/Linux_64//fitsort -d BAYERPAT
++ /usr/bin/gawk 'BEGIN{FS="\t"} {if ($2!~/KEY_N\/A/) print $2}'
++ /usr/bin/gawk '{$1=$1}1'
++ sed 's/ /_/g'
+ BAYERPATTERN=RG/G
basename ${FILE} _${CHIP}OFC.fits
++ basename /home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0769_1OFC.fits _1OFC.fits
+ BASE=IC434_952_Da_800iso_420s_4C_100-0769
+ /home/bernd/THELI/theli//bin/Linux_64//fitsdemosaicbayer -i /home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0769_1OFC.fits -p RG/G -q 2

Bayer pattern not recognised. Nothing will be done.

+ /home/bernd/THELI/theli//bin/Linux_64//replacekey /home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0769_1OFC.R.fits 'FILTER = '\''Red'\''' FILTER
cannot open /home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0769_1OFC.R.fits: aborting
error getting FITS header size for /home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0769_1OFC.R.fits
error during placeholder replacement: aborting
+ /home/bernd/THELI/theli//bin/Linux_64//replacekey /home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0769_1OFC.G.fits 'FILTER = '\''Green'\''' FILTER
cannot open /home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0769_1OFC.G.fits: aborting
error getting FITS header size for /home/bernd/redu/ic434//lights/IC434_952_Da_800iso_420s_4C_100-0769_1OFC.G.fits
error during placeholder replacement: aborting
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

das ganze Logfile ist hier

Ich vermute einen Fehler bei der Installation, habe aber keinen Plan, wo ich ansetzen sollte. die Abhängigkeiten habe ich manuell einzelnd auf vorhandensein geprüft.
in anderen Beiträgen ist die Rede von fehlenden fitstools. die sind auch alle da. Keine Ahnung. Das problem habe ich auf 2 frisch installierten Rechnern mit Xubuntu-14.04 und theli 1.9.5 und gui 2.10.2 oder 2.10.3

Als Gegenprobe habe ich die GUI-2.9.3 installiert und die Calibration läuft ohne Fehler durch.
Das kann aber nicht die Lösung sein. Hat jemand eine bessere Idee für mich ?

Großes Danke im Voraus,

Bernd
bernd68
 
Beiträge: 13
Registriert: Freitag 21. September 2012, 15:29

Re: GUI-2.10.2(3) theli 1.9.5 (x)ubuntu-14.04 ...

Beitragvon mischa » Samstag 14. Mai 2016, 18:33

Hi Bernd,

da hat sich in der letzten 'dcraw' Version ein bug eingeschlichen.

Die Loesung besteht darin, eine alte (2.10.0 oder aelter) GUI version zu entpacken, und in das Verzeichnis gui-2.10.0/stuff/ zu wechseln.
Dort dann den befehl 'make' eintippen. Anschliessend findet man die Datei gui-2.10.0/stuff/bin/dcraw. Das kann man dann nach THELI/theli/bin/Linux_64/ kopieren, und es geht wieder.

mischa
mischa
Moderator
 
Beiträge: 966
Registriert: Freitag 7. Oktober 2011, 14:07
Wohnort: Chile

Re: GUI-2.10.2(3) theli 1.9.5 (x)ubuntu-14.04 ...

Beitragvon bernd68 » Samstag 14. Mai 2016, 20:12

Hi Mischa,

in der Tat. Damit ist das Problem behoben.
Vielen Dank

Bernd
bernd68
 
Beiträge: 13
Registriert: Freitag 21. September 2012, 15:29

Re: GUI-2.10.2(3) theli 1.9.5 (x)ubuntu-14.04 ...

Beitragvon copello » Montag 29. August 2016, 20:32

Hallo zusammen,

ich bin gerade in das gleiche Probleme gelaufen:

Code: Alles auswählen
fitsdemosaicbayer -i m31/2016.08.26-23:15:33_science_iso_800_exp_120_1OFC.fits -p RG/G -q 2
Bayer pattern not recognised. Nothing will be done.


und habe in der Datei:

THELI/gui-2.10.3/scripts/progs.ini

Code: Alles auswählen
-P_DCRAW=${BIN}/dcraw
+P_DCRAW=/usr/bin/dcraw


geändert und lokal das dcraw Paket installiert:

Code: Alles auswählen
>apt-cache policy dcraw
dcraw:
  Installed: 9.21-0.2+b2
  Candidate: 9.21-0.2+b2
  Version table:
*** 9.21-0.2+b2 0
        500 http://ftp.hosteurope.de/mirror/ftp.debian.org/debian/ jessie/main amd64 Packages
        100 /var/lib/dpkg/status


Mit z.B. dieser dcraw Version tritt der Fehler nicht mehr weil richtigerweise folgendes ausgegeben wird:
Code: Alles auswählen
>dcraw -i -v 2016.08.27-00:24:13_science_iso_800_exp_120.CR2 | gawk  '($0~/Filter pattern/) {print $3}' | gawk 'BEGIN{FS=""} {print $1$2$3$4}'
RGGB
anstatt
Code: Alles auswählen
RG/G


Somit kann man Theli Version 2.10.3 mit diesem kleinen "fix" verwenden
copello
 
Beiträge: 5
Registriert: Freitag 5. Februar 2016, 08:10

Re: GUI-2.10.2(3) theli 1.9.5 (x)ubuntu-14.04 ...

Beitragvon mischa » Dienstag 30. August 2016, 18:23

So geht's natuerlich auch :-)
Aber denk dran, dass das progs.ini ueberschrieben wird, wenn du ein update des GUIs installierst.

Beste Gruesse,

Mischa
mischa
Moderator
 
Beiträge: 966
Registriert: Freitag 7. Oktober 2011, 14:07
Wohnort: Chile

Re: GUI-2.10.2(3) theli 1.9.5 (x)ubuntu-14.04 ...

Beitragvon phtnnz » Mittwoch 2. November 2016, 22:54

Das einfachste ist es aus meiner Sicht, das unter ~/.theli/... erzeugte process-Skript für die Kamera zu modifizieren und das Bayer-Pattern fest auf "RGGB" zu setzen, das ändert sich ja nicht mehr. ;-) So hab ich es bei mir gemacht. Am besten wäre es natürlich, wenn im Theli-Source mal der awk-Code angepasst würde. (Wo liegt eigentlich das Default-Skript?)
phtnnz
 
Beiträge: 13
Registriert: Donnerstag 4. August 2016, 18:44

Re: GUI-2.10.2(3) theli 1.9.5 (x)ubuntu-14.04 ...

Beitragvon mischa » Donnerstag 3. November 2016, 11:27

Hi,

ein default-script gibt es nicht, das wird on-the-fly erstellt. Sieht so aus als ob der "bug" in dcraw gewollt ist, dann muss ich dem wohl hinterherprogrammieren.

mischa
mischa
Moderator
 
Beiträge: 966
Registriert: Freitag 7. Oktober 2011, 14:07
Wohnort: Chile

Re: GUI-2.10.2(3) theli 1.9.5 (x)ubuntu-14.04 ...

Beitragvon copello » Donnerstag 3. November 2016, 20:12

Hallo mischa,

ich habe mir mal den den dcraw.c code auf https://www.cybercom.net/~dcoffin/dcraw/dcraw.c angeschaut
und das besagte
Code: Alles auswählen
/
in
Code: Alles auswählen
RG/GB
wird im code hier gesetzt:
Code: Alles auswählen
+       for (c = i && 0; c < fwide; c++)
-       for (c = i && putchar('/') && 0; c < fwide; c++)

Man könnte das einfach aus dcraw "rauspatchen" und somit
Code: Alles auswählen
RGGB
erhalten.
Vielleicht könnte man aus Kompatibilitätsgründen aus dem String "RG/GB" einfach das
Code: Alles auswählen
/
mittels sed oder tr
entfernen, dann würde das weiterhin mit allen dcraw Versionen funktionieren.

Viele Grüße
Thomas
copello
 
Beiträge: 5
Registriert: Freitag 5. Februar 2016, 08:10


Zurück zu Installation und Ubuntheli

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast

cron